ProfileInfoCommand (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.cli.profile.commands

## [Groovy] Class ProfileInfoCommand

- org.grails.cli.profile.commands.ProfileInfoCommand

- All Implemented Interfaces and Traits:
    ProfileRepositoryAware

      @groovy.transform.CompileStatic
      class ProfileInfoCommand
      extends ArgumentCompletingCommand

  A command to find out information about the given profile

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandDescription` | `description`
    `java.lang.String` | `name`
    `ProfileRepository` | `profileRepository`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfileInfoCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Iterable<Command>` | `findCommands(Profile profile, GrailsConsole console)`
    `` | `boolean` | `handle(ExecutionContext executionContext)`
    `` | `void` | `setProfileRepository(ProfileRepository profileRepository)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArgumentCompletingCommand` | `complete, complete`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String NAME

  - ### Property Detail

    - #### final CommandDescription description

    - #### final java.lang.String name

    - #### ProfileRepository profileRepository

  - ### Constructor Detail

    - #### ProfileInfoCommand()

  - ### Method Detail

    - #### protected java.lang.Iterable<Command> findCommands(Profile profile, GrailsConsole console)

    - #### @java.lang.Override boolean handle(ExecutionContext executionContext)

    - #### void setProfileRepository(ProfileRepository profileRepository)